## com.sun.jersey.server.wadl
Class ApplicationDescription.ExternalGrammar

    java.lang.Object
      com.sun.jersey.server.wadl.ApplicationDescription.ExternalGrammar

Enclosing class:
  ApplicationDescription

    public static class ApplicationDescription.ExternalGrammar

extends java.lang.Object

A simple holder class that stores a type and binary content to be used to return extra metadata with

Constructor Summary
`ApplicationDescription.ExternalGrammar(MediaType type, byte[] content, boolean includedInGrammar)`

Method Summary
`byte[]` | `getContent()`
`MediaType` | `getType()`
`boolean` | `isIncludedInGrammar()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationDescription.ExternalGrammar

    public ApplicationDescription.ExternalGrammar(MediaType type,
                                                  byte[] content,
                                                  boolean includedInGrammar)

Method Detail

### getType

    public MediaType getType()

### getContent

    public byte[] getContent()

### isIncludedInGrammar

    public boolean isIncludedInGrammar()

  Returns:
    True if the URI needs to be in the grammar section or false if this the grammars are references by URI as is the case with JSON-Schema

Copyright © 2017 Oracle Corporation. All Rights Reserved.